extends Control


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	if Input.is_action_just_pressed("pause"):
		get_tree().paused = !get_tree().paused
	match get_tree().paused:
		true:
			self.show()
		false:
			self.hide()


func _on_quitter_pressed() -> void:
	get_tree().quit()


func _on_reprendre_pressed() -> void:
	get_tree().paused = !get_tree().paused
